#pragma once

#include "CoreMinimal.h"
#include "DefaultOutlineUpdateStrategy.h"
#include "DBDTunableRowHandle.h"
#include "K31DroneLaserOutlineUpdateStrategy.generated.h"

UCLASS(Blueprintable, meta=(BlueprintSpawnableComponent))
class UK31DroneLaserOutlineUpdateStrategy : public UDefaultOutlineUpdateStrategy
{
	GENERATED_BODY()

private:
	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	FDBDTunableRowHandle _laserOutlineDistance;

public:
	UK31DroneLaserOutlineUpdateStrategy();
};

FORCEINLINE uint32 GetTypeHash(const UK31DroneLaserOutlineUpdateStrategy) { return 0; }
